# Rechts- und linksseitiges Trimmen
function trim(s)
{
	sub(/^[ \t]+/, "", s);
	sub(/[ \t]+$/, "", s);
	return s;
}
# Wandlung String -> Zahl
function mystrtonum(str,        ret)
{
	if (str ~ /^[-+]?([0-9]+([.][0-9]*([Ee][0-9]+)?)?|([.][0-9]+([Ee][-+]?[0-9]+)?))$/) {
		ret = str + 0
	} else
		ret = str
	return ret
}
# Begin Sektion
BEGIN {
	print "RoboStation CSV Version 2.1;;;;;;;;";
	print "System: XYZ;;;;;;;;";
	print "Point No.;X;Y;Z;Point Categories;Point Comment;New Poly;Poly Categories;Poly Comment";
}
# Lese Punkt ein
/^08/{	
	Category = trim(substr($0, 69, 15));	
	PID = mystrtonum(substr($0, 5, 16));
	Y = mystrtonum(substr($0, 21, 15));
	X = mystrtonum(substr($0, 37, 15));
	Z = mystrtonum(substr($0, 53, 15));
	print PID ";" X ";" Y ";" Z ";" Category ";;open;";
}
# Ende Sektion
END {
}