<?xml version="1.0" encoding="ISO-8859-1" ?>
<?rscvt type="out-filter" version="1.0" name="Topcon GPS zu RSXML (.xml)" file-ext="xml" cmd-ext="gps_out" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://ww.w3.org/TR/xlink" version="1.0">	
	<!-- Ausgabe-Deklarationen -->
	<xsl:output method="xml" encoding="ISO-8859-1"/>		
	<!-- Transformationsteil zum Wandel von Topcon DXF nach XML nach RSXML -->	
	<xsl:template match="robostation">				
		<xsl:text>&#13;&#10;</xsl:text>
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:text>&#13;&#10;</xsl:text>
			<xsl:copy-of select="category_ref"/>			
			<xsl:text>&#13;&#10;</xsl:text>
			<xsl:for-each select="measurements">
				<xsl:copy>
					<xsl:copy-of select="@*"/>
					<xsl:text>&#13;&#10;</xsl:text>
					<xsl:for-each select="mfolder">
						<xsl:copy>
							<xsl:copy-of select="@*"/>
							<xsl:text>&#13;&#10;</xsl:text>													
							<xsl:for-each select="polygon">								
								<xsl:if test="contains(@categories, '10100') or contains(@categories, '10111')">
									<xsl:text disable-output-escaping="yes">&#13;&#10;&lt;polygon closed="1" categories="</xsl:text>
									<xsl:value-of select="@categories"/>
									<xsl:text disable-output-escaping="yes">"&gt;&#13;&#10;</xsl:text>
									<xsl:for-each select="point">
										<xsl:copy-of select="."/>
										<xsl:text>&#13;&#10;</xsl:text>
									</xsl:for-each>
									<xsl:text disable-output-escaping="yes">&lt;/polygon&gt;&#13;&#10;</xsl:text>
								</xsl:if>					
								<xsl:if test="not(contains(@categories, '10100') or contains(@categories, '10111'))">
									<xsl:copy-of select="."/>	
									<xsl:text>&#13;&#10;</xsl:text>
								</xsl:if>
							</xsl:for-each>
						</xsl:copy>
						<xsl:text>&#13;&#10;</xsl:text>
					</xsl:for-each>
				</xsl:copy>
				<xsl:text>&#13;&#10;</xsl:text>
			</xsl:for-each>			
		</xsl:copy>		
	</xsl:template>
</xsl:stylesheet>
